"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function RNStyleNames() {
    var args = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        args[_i] = arguments[_i];
    }
    var styleNames = [];
    for (var i = 0; i < args.length; i++) {
        var arg = args[i];
        if (typeof arg === 'number') {
            styleNames.push(arg);
        }
        else if (typeof arg === 'object') {
            for (var key in arg) {
                if (arg.hasOwnProperty(key) && !parseInt(key)) {
                    styleNames.push(arg);
                    break;
                }
                else if (arg.hasOwnProperty(key) && arg[key]) {
                    styleNames.push(Number(key));
                }
            }
        }
        else if (Array.isArray(arg) && arg.length) {
            styleNames.push.apply(styleNames, RNStyleNames.apply(null, arg));
        }
    }
    return styleNames;
}
exports.default = RNStyleNames;
